Package ru.bitel.bgbilling.modules.npay.server.bean.account

# Class ModuleAccount

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.npay.server.bean.account.ModuleAccount

All Implemented Interfaces:
  `ListItem`

Direct Known Subclasses:
  `DialUpModuleAccount`, `InetModuleAccount`, `KernelAccount`, `PhoneModuleAccount`, `VoiceModuleAccount`, `VoipModuleAccount`

public abstract class ModuleAccount extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `int`
  `getModleId()`
  `abstract BigDecimal`
  `getPeriodAccount(Connection con, int contractId, Calendar from, Calendar to)`
  `String`
  `getSids()`
  `String`
  `getTitle()`
  `void`
  `setId(int id)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setSids(String sids)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleAccount

    public ModuleAccount()

- ## Method Details

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getSids

    public String getSids()

  - ### setSids

    public void setSids(String sids)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)

  - ### getModleId

    public int getModleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getPeriodAccount

    public abstract BigDecimal getPeriodAccount(Connection con, int contractId, Calendar from, Calendar to)